This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 136947 - PostgreSQL data loss risk and minor security issues
PostgreSQL data loss risk and minor security issues
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Tom Lane
David Lawrence
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-10-23 15:47 EDT by Tom Lane
Modified: 2013-07-02 23:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-25 21:00:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom Lane 2004-10-23 15:47:09 EDT
PostgreSQL 7.4.5 has a risk of data loss explained here:
http://archives.postgresql.org/pgsql-hackers/2004-10/msg00464.php

In addition there are two minor security issues reported to us by iDEFENSE; these were 
judged too minor to warrant assigning CVE names, but they should be fixed anyway.  Both 
are escalation-of-privilege issues that might allow the postgres user to obtain root.  The 
first is that "pg_ctl start" executes a shell command using text obtained from a postgres-
owned configuration file.  This is only a minor risk because "pg_ctl start" should never be 
run as root anyway; but possibly a sysadmin unfamiliar with Postgres could be tricked into 
doing it.  The appropriate fix is to disallow pg_ctl from running as root.  The second issue 
is that the postgresql init script executes a "chown" as root without sufficient care about 
what is being chown'ed; a nefarious postgres user could install a symlink to cause any 
desired file to be chown'd to postgres.  (This was judged a minor issue only because 
installation of the symlink would break the Postgres installation, and thus would be rather 
unlikely to go undetected until next system reboot.)

The first two issues are solved in the upstream Postgres 7.4.6 release, which we should 
upgrade to.  The init-script issue we need to fix locally.

Version-Release number of selected component (if applicable):
postgresql-7.4.5-4

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
    

Additional info:
Comment 1 Tom Lane 2004-10-25 21:00:54 EDT
Repaired in postgresql-7.4.6-1.FC3.1.

Note You need to log in before you can comment on or make changes to this bug.